Loading...
Searching...
No Matches
volk_32fc_accumulator_s32fc.h File Reference
`#include <inttypes.h>`
`#include <volk/volk_common.h>`
`#include <immintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_32fc_accumulator_s32fc_generic (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)
static void | volk_32fc_accumulator_s32fc_u_avx (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)
static void | volk_32fc_accumulator_s32fc_u_sse (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)
static void | volk_32fc_accumulator_s32fc_a_avx (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)
static void | volk_32fc_accumulator_s32fc_a_sse (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)
static void | volk_32fc_accumulator_s32fc_neon (lv_32fc_t *result, const lv_32fc_t *inputBuffer, unsigned int num_points)

## Function Documentation

## volk_32fc_accumulator_s32fc_a_avx()

void volk_32fc_accumulator_s32fc_a_avx | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32fc_accumulator_s32fc_a_sse()

void volk_32fc_accumulator_s32fc_a_sse | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32fc_accumulator_s32fc_generic()

void volk_32fc_accumulator_s32fc_generic | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32fc_accumulator_s32fc_neon()

void volk_32fc_accumulator_s32fc_neon | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32fc_accumulator_s32fc_u_avx()

void volk_32fc_accumulator_s32fc_u_avx | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32fc_accumulator_s32fc_u_sse()

void volk_32fc_accumulator_s32fc_u_sse | ( | lv_32fc_t * | result,
|  | const lv_32fc_t * | inputBuffer,
|  | unsigned int | num_points )

inline static